HPE SimpliVity
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

 
Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

 1  Check if the Federation is healthy 

2. Upgrade the Aribter

3. Use the DM for the OVC SW (Simplivity Version) upgrade

4. Upgrade the FW 

5. Upgrade the ESXI

install the newer plugin

Naturally I'm checking all Version in the Interoperability matrix

Looks perfectly fine as long as you stay within the interoperability guide especially when it comes to Virtual center.DM with HPE hardware can automate the ESXi and FW  for legany hardware a manual approch is needed.

 


I am an HPE employee
Accept or Kudo
Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

If upgrade manager isn't working I suggest you open a support ticket to find out why. You might have another underlying issue. We don't do the upgrade for you but we will help you solve the problems you are having with the upgrade.


Accept or Kudo
While I work for HPE, any personal opinions expressed are mine, and not official statements on behalf of HPE.
Highlighted
New Member

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi Team,

I am upgrating a federation with 02 Clusters. The first cluster upgraded perfectly, all that remains to be done is Commit, however when trying to update the second Cluster the Upgrade Manager returns me the error: Failed to prepare the cluster for upgrade.

Check list:

Federation - OK
VMs - OK
Arbiter -  Ugraded
Plugin for vSphere Web Client - Updated

Does anyone have any idea what may be causing the error in upgrading the second Cluster?
Is there any Log that I can analyze?

Thanks!

Highlighted
Occasional Contributor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi everyone,

 

I have the same issue.

Does someone know how to solve this problem?

 

Thank you.

Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

This might be the issue-

If there is an empty vCenter Server cluster object anywhere in inventory, it will cause upgrades to fail with a false positive error during pre-validation, "Verify Node Compute Cluster Deployment".

Or it could be an issue with the rest certificate.

If you can't fix it open a support ticket for us to figure out what the issue is. We are here to help-


Accept or Kudo
While I work for HPE, any personal opinions expressed are mine, and not official statements on behalf of HPE.
Highlighted
Frequent Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi all!

I can confirm that if you have an empty cluster withiin the same Datacenter it will fail to upgrade. I actually had this issue which ended up in a Case nr: 5345604914

I asked the HPE Tech Consultant why this is not documented anywhere in the administration/deployment/upgrade guides. He said it was knwon among SVT Team.

I really hope you will document this in the future as I'm sure many more of us SimpliVity consultants are not aware of it.

Br / Tony

Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi @fahlis 

There are many reasons why an upgrade may fail. An empty cluster is indeed one. This is documented in a public facing KB article.

https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&docId=sf000063567en_us

Customers and indeed internal support members should always keep an eye on our knowledge base for new knowledge articles. Searching HPESC portal with the error message reported during the failed upgrade would have resulted in this article being presented as the first article. 

We do try and document as many issues as possible. However, it is not always possible to document "all" possible issues. This specific issue for example is related to a configuration of the VMware environment as opposed to a product defect.

Thanks,

DeclanOR

Accept or Kudo



I am an HPE Employee
Highlighted
Frequent Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

@DeclanOR 

 

Thanks for the link. I did search the HPESC portal with the error message I saw in the orchestrator logfile prior to creating the case. Perhaps the KB was created or modified after my case was solved

My case was created 03/05-2020 and this KB was posted/updated 03/26-2020
Anyways, great that we do have a KB for it now.

//Tony

Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi @fahlis 

Thanks for the reply. Yes......I believe this article was published after that date. Maybe this acrticle was created as a result of your case!!lol  Main thing is that it's here now for anybody else that goes searching. I actually recorded an upgrade video today which will be going live shortly. I think you will find it very interesting.

Thanks,

DeclanOR.

Accept or Kudo



I am an HPE Employee
Highlighted
Frequent Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi @DeclanOR 

Waiting with anticipation for your new video

Br / Tony